// Loadable modules
//
// Generated by /home/abuild/rpmbuild/BUILD/ParaView-v5.12.1/build/bin/vtkProcessXML-pv5.12
//
#ifndef Prism_server_manager_modules_data_h
#define Prism_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /home/abuild/rpmbuild/BUILD/ParaView-v5.12.1/Plugins/Prism/Readers/PrismReaders.xml
static const char* const Prism_server_manager_modulesPrismReadersInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <!-- ================================================================== -->\n"
"    <Proxy class=\"vtkPrismSESAMEReader\"\n"
"           name=\"SESAMEReaderCore\">\n"
"      <Documentation long_help=\"Reads ASCII SESAME files.\"\n"
"                     short_help=\"Reads SESAME files.\">\n"
"        The SESAME reader reads ASCII. The expected file extension is .asc\n"
"        The output of this reader is a vtkPolyData dataset.\n"
"      </Documentation>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"SESAME Surface\"/>\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"SESAME Curves\"/>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the SESAME reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"SurfaceTableIds\"\n"
"                         command=\"GetSurfaceTableIds\"\n"
"                         information_only=\"1\">\n"
"        <IntArrayInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTableId\"\n"
"                         default_values=\"-1\"\n"
"                         name=\"TableId\"\n"
"                         label=\"Surface Table Id\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"SurfaceTableIds\" function=\"Enumeration\"/>\n"
"          </RequiredProperties>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property specifies the table id which describes the surface.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"GetFlatArraysOfTables\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FlatArraysOfTables\">\n"
"        <StringArrayHelper/>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetXArrayName\"\n"
"                            name=\"XArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <PrismTableArraysDomain name=\"prism_array_list\" default_array_id=\"0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"FlatArraysOfTables\" name=\"FlatArraysOfTables\"/>\n"
"            <Property function=\"TableId\" name=\"TableId\"/>\n"
"          </RequiredProperties>\n"
"        </PrismTableArraysDomain>\n"
"        <Documentation>\n"
"          This property specifies the array name to use for the x-axis.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetYArrayName\"\n"
"                            name=\"YArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <PrismTableArraysDomain name=\"prism_array_list\" default_array_id=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"FlatArraysOfTables\" name=\"FlatArraysOfTables\"/>\n"
"            <Property function=\"TableId\" name=\"TableId\"/>\n"
"          </RequiredProperties>\n"
"        </PrismTableArraysDomain>\n"
"        <Documentation>\n"
"          This property specifies the array name to use for the y-axis.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetZArrayName\"\n"
"                            name=\"ZArray\"\n"
"                            number_of_elements=\"1\">\n"
"        <PrismTableArraysDomain name=\"prism_array_list\" default_array_id=\"2\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"FlatArraysOfTables\" name=\"FlatArraysOfTables\"/>\n"
"            <Property function=\"TableId\" name=\"TableId\"/>\n"
"          </RequiredProperties>\n"
"        </PrismTableArraysDomain>\n"
"        <Documentation>\n"
"          This property specifies the array name to use for the z-axis.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"GetCurvesAvailable\"\n"
"                         information_only=\"1\"\n"
"                         name=\"CurvesAvailable\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ReadCurves\"\n"
"                         command=\"SetReadCurves\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property specifies whether to read curves or not.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"enabled_state\" property=\"CurvesAvailable\" value=\"1\"/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty name=\"VariableConversionValues\"\n"
"                            command=\"SetVariableConversionValue\"\n"
"                            set_number_command=\"SetNumberOfVariableConversionValues\"\n"
"                            number_of_elements=\"0\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            use_index=\"1\">\n"
"        <Documentation>\n"
"          This property specifies the variable conversion values.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPrismSESAMEFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"Prism: SESAME Reader\"\n"
"                 name=\"SESAMEReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads ASCII SESAME files.\"\n"
"                     short_help=\"Reads SESAME files.\">The SESAME reader reads ASCII.\n"
"        The expected file extension is .asc. The output of this reader is a\n"
"        vtkStructuredGrid dataset.\n"
"      </Documentation>\n"
"      <OutputPort index=\"0\"\n"
"                  name=\"SESAME Surface\"/>\n"
"      <OutputPort index=\"1\"\n"
"                  name=\"SESAME Curves\"/>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"SESAMEReaderCore\"/>\n"
"        <ExposedProperties>\n"
"          <Property name=\"TableId\"/>\n"
"          <PropertyGroup label=\"Axis Information\">\n"
"            <Property name=\"XArray\"/>\n"
"            <Property name=\"YArray\"/>\n"
"            <Property name=\"ZArray\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Curves\">\n"
"            <Property name=\"CurvesAvailable\"/>\n"
"            <Property name=\"ReadCurves\"/>\n"
"          </PropertyGroup>\n"
"          <PropertyGroup label=\"Conversions\" panel_widget=\"SESAMEConversions\">\n"
"            <Property function=\"VariableConversionValues\" name=\"VariableConversionValues\"/>\n"
"            <Property function=\"FlatArraysOfTables\" name=\"FlatArraysOfTables\"/>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper/>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            information_property=\"FileNameInfo\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          The list of files to be read by the reader. If more than one file\n"
"          is specified, the reader will switch to file series mode in which\n"
"          it will pretend that it can support time and provide one file per time step.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <PipelineIcon port=\"0\" name=\"GEOMETRY\"/>\n"
"        <View port=\"0\" type=\"PrismView\"/>\n"
"\n"
"        <PipelineIcon port=\"1\" name=\"GEOMETRY\"/>\n"
"        <View port=\"1\" type=\"None\"/>\n"
"\n"
"        <ReaderFactory extensions=\"asc sesame ses\" file_description=\"SESAME File Reader (Plugin)\"/>\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* Prism_server_manager_modulesPrismReadersGetInterfaces()
{

  const size_t len0 = strlen(Prism_server_manager_modulesPrismReadersInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(Prism_server_manager_modulesPrismReadersInterface0, Prism_server_manager_modulesPrismReadersInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /home/abuild/rpmbuild/BUILD/ParaView-v5.12.1/Plugins/Prism/Views/PrismViews.xml
static const char* const Prism_server_manager_modulesPrismViewsInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"views\">\n"
"    <!--======================================================================-->\n"
"    <PrismViewProxy base_proxygroup=\"views\"\n"
"                    base_proxyname=\"RenderView\"\n"
"                    class=\"vtkPrismView\"\n"
"                    name=\"PrismView\"\n"
"                    label=\"Prism View\"\n"
"                    processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        View proxy for 3D interactive Prism render view.\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetEnableThresholding\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EnableThresholding\"\n"
"                         label=\"Enable Thresholding\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When on, Thresholding is enabled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PrismBounds\"\n"
"                            command=\"GetPrismBounds\"\n"
"                            information_only=\"1\"\n"
"                            default_values=\"0.0 -1.0 0.0 -1.0 0.0 -1.0\"\n"
"                            number_of_elements=\"6\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"        <Documentation>\n"
"          Get the prism bounds.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetLowerThresholdX\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LowerThresholdX\"\n"
"                            label=\"Lower Threshold\"\n"
"                            number_of_elements=\"1\">\n"
"        <PrismThresholdRangeDomain name=\"range\" default_mode=\"min\" axis_id=\"0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Bounds\"\n"
"                      name=\"PrismBounds\"/>\n"
"          </RequiredProperties>\n"
"        </PrismThresholdRangeDomain>\n"
"        <Documentation>\n"
"          The value of this property specifies the lower bound of the thresholding operation of X Axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"EnableThresholding\" value=\"1\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetUpperThresholdX\"\n"
"                            default_values=\"0\"\n"
"                            name=\"UpperThresholdX\"\n"
"                            label=\"Upper Threshold\"\n"
"                            number_of_elements=\"1\">\n"
"        <PrismThresholdRangeDomain name=\"range\" default_mode=\"max\" axis_id=\"0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Bounds\"\n"
"                      name=\"PrismBounds\"/>\n"
"          </RequiredProperties>\n"
"        </PrismThresholdRangeDomain>\n"
"        <Documentation>\n"
"          The value of this property specifies the upper bound of the thresholding operation of X Axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"EnableThresholding\" value=\"1\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetLowerThresholdY\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LowerThresholdY\"\n"
"                            label=\"Lower Threshold\"\n"
"                            number_of_elements=\"1\">\n"
"        <PrismThresholdRangeDomain name=\"range\" default_mode=\"min\" axis_id=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Bounds\"\n"
"                      name=\"PrismBounds\"/>\n"
"          </RequiredProperties>\n"
"        </PrismThresholdRangeDomain>\n"
"        <Documentation>\n"
"          The value of this property specifies the lower bound of the thresholding operation of Y Axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"EnableThresholding\" value=\"1\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetUpperThresholdY\"\n"
"                            default_values=\"0\"\n"
"                            name=\"UpperThresholdY\"\n"
"                            label=\"Upper Threshold\"\n"
"                            number_of_elements=\"1\">\n"
"        <PrismThresholdRangeDomain name=\"range\" default_mode=\"max\" axis_id=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Bounds\"\n"
"                      name=\"PrismBounds\"/>\n"
"          </RequiredProperties>\n"
"        </PrismThresholdRangeDomain>\n"
"        <Documentation>\n"
"          The value of this property specifies the upper bound of the thresholding operation of Y Axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"EnableThresholding\" value=\"1\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetLowerThresholdZ\"\n"
"                            default_values=\"0\"\n"
"                            name=\"LowerThresholdZ\"\n"
"                            label=\"Lower Threshold\"\n"
"                            number_of_elements=\"1\">\n"
"        <PrismThresholdRangeDomain name=\"range\" default_mode=\"min\" axis_id=\"2\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Bounds\"\n"
"                      name=\"PrismBounds\"/>\n"
"          </RequiredProperties>\n"
"        </PrismThresholdRangeDomain>\n"
"        <Documentation>\n"
"          The value of this property specifies the lower bound of the thresholding operation of Z Axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"EnableThresholding\" value=\"1\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetUpperThresholdZ\"\n"
"                            default_values=\"0\"\n"
"                            name=\"UpperThresholdZ\"\n"
"                            label=\"Upper Threshold\"\n"
"                            number_of_elements=\"1\">\n"
"        <PrismThresholdRangeDomain name=\"range\" default_mode=\"max\" axis_id=\"2\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Bounds\"\n"
"                      name=\"PrismBounds\"/>\n"
"          </RequiredProperties>\n"
"        </PrismThresholdRangeDomain>\n"
"        <Documentation>\n"
"          The value of this property specifies the upper bound of the thresholding operation of Z Axis.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"EnableThresholding\" value=\"1\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetLogScaleX\"\n"
"                         default_values=\"0\"\n"
"                         name=\"LogScaleX\"\n"
"                         label=\"Use log scaling\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When on, X axis is log scaled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLogScaleY\"\n"
"                         default_values=\"0\"\n"
"                         name=\"LogScaleY\"\n"
"                         label=\"Use log scaling\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When on, Y axis is log scaled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLogScaleZ\"\n"
"                         default_values=\"0\"\n"
"                         name=\"LogScaleZ\"\n"
"                         label=\"Use log scaling\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When on, Z axis is log scaled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"XAxisName\"\n"
"                            command=\"GetXAxisName\"\n"
"                            information_only=\"1\">\n"
"        <SimpleStringInformationHelper/>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"YAxisName\"\n"
"                            command=\"GetYAxisName\"\n"
"                            information_only=\"1\">\n"
"        <SimpleStringInformationHelper/>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"ZAxisName\"\n"
"                            command=\"GetZAxisName\"\n"
"                            information_only=\"1\">\n"
"        <SimpleStringInformationHelper/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty animateable=\"1\"\n"
"                            command=\"SetAspectRatio\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"AspectRatio\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the aspect ratio of the data.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetEnableNonSimulationDataSelection\"\n"
"                         default_values=\"0\"\n"
"                         name=\"EnableNonSimulationDataSelection\"\n"
"                         label=\"Enable Non Simulation Data Selection\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When on, Non Simulation Data can also be selected.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Prism Parameters\">\n"
"        <Property name=\"EnableThresholding\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"X Axis\">\n"
"        <Property name=\"LowerThresholdX\"/>\n"
"        <Property name=\"UpperThresholdX\"/>\n"
"        <Property name=\"LogScaleX\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Y Axis\">\n"
"        <Property name=\"LowerThresholdY\"/>\n"
"        <Property name=\"UpperThresholdY\"/>\n"
"        <Property name=\"LogScaleY\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Z Axis\">\n"
"        <Property name=\"LowerThresholdZ\"/>\n"
"        <Property name=\"UpperThresholdZ\"/>\n"
"        <Property name=\"LogScaleZ\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Scaling\">\n"
"        <Property name=\"AspectRatio\"/>\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Selections\">\n"
"        <Property name=\"EnableNonSimulationDataSelection\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <!-- Redefinitions of properties in the RenderView to change the panel_visibility      -->\n"
"      <IntVectorProperty command=\"SetCameraOrientationWidgetVisibility\"\n"
"                         name=\"CameraOrientationWidgetVisibility\"\n"
"                         label=\"Visible\"\n"
"                         default_values=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         override=\"1\">\n"
"      <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>Visibility of the camera orientation widget.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetCenterAxesVisibility\"\n"
"                         default_values=\"0\"\n"
"                         name=\"CenterAxesVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\"\n"
"                         override=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>Toggle the visibility of the axes showing the center of\n"
"          rotation in the scene.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </PrismViewProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"representations\">\n"
"    <!-- ==================================================================== -->\n"
"    <RepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                         base_proxyname=\"SurfaceRepresentationBase\"\n"
"                         class=\"vtkPrismGeometryRepresentationWithFaces\"\n"
"                         name=\"PrismSurfaceRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        Prism representation to show any dataset in a 3D Prism view.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"any\"\n"
"                          name=\"input_array_any\"/>\n"
"        <InputArrayDomain name=\"scalar_array\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\"/>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell\"\n"
"                          optional=\"1\"/>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\"/>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell_1\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\"/>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point_1\"\n"
"                          number_of_components=\"1\"\n"
"                          optional=\"1\"/>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point_2\"\n"
"                          number_of_components=\"2\"\n"
"                          optional=\"1\"/>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell_3\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"1\"/>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point_3\"\n"
"                          number_of_components=\"3\"\n"
"                          optional=\"1\"/>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <DoubleVectorProperty command=\"SetPointSize\"\n"
"                            default_values=\"4.0\"\n"
"                            name=\"PointSize\"\n"
"                            number_of_elements=\"1\"\n"
"                            override=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetBackfaceRepresentation\"\n"
"                         default_values=\"400\"\n"
"                         name=\"BackfaceRepresentation\"\n"
;

// From file /home/abuild/rpmbuild/BUILD/ParaView-v5.12.1/Plugins/Prism/Views/PrismViews.xml
static const char* const Prism_server_manager_modulesPrismViewsInterface1 =
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Choose the representation type for the backface.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Follow Frontface\"\n"
"                 value=\"400\"/>\n"
"          <Entry text=\"Cull Backface\"\n"
"                 value=\"401\"/>\n"
"          <Entry text=\"Cull Frontface\"\n"
"                 value=\"402\"/>\n"
"          <Entry text=\"Points\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Wireframe\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"Surface\"\n"
"                 value=\"2\"/>\n"
"          <Entry text=\"Surface With Edges\"\n"
"                 value=\"3\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBackfaceOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"BackfaceOpacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBackfaceAmbientColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"BackfaceAmbientColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBackfaceDiffuseColor\"\n"
"                            default_values=\"1.0 1.0 1.0\"\n"
"                            name=\"BackfaceDiffuseColor\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\"/>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SurfaceColor\" unlink_if_modified=\"1\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <!--  Prism related properties  -->\n"
"      <IntVectorProperty command=\"SetIsSimulationData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"IsSimulationData\"\n"
"                         number_of_elements=\"1\">\n"
"        <PrismIsSimulationDataDomain name=\"bool\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </PrismIsSimulationDataDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAttributeType\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AttributeType\"\n"
"                         number_of_elements=\"1\">\n"
"        <FieldDataDomain name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"IsSimulationData\" value=\"1\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Control which AttributeType the filter operates on.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetXArrayName\"\n"
"                            name=\"XArrayName\"\n"
"                            label=\"X Array\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"scalar_array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeType\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"IsSimulationData\" value=\"1\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          The name of the array to use as the X coordinate.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetYArrayName\"\n"
"                            name=\"YArrayName\"\n"
"                            label=\"Y Array\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"scalar_array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeType\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"IsSimulationData\" value=\"1\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          The name of the array to use as the Y coordinate.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetZArrayName\"\n"
"                            name=\"ZArrayName\"\n"
"                            label=\"Z Array\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"scalar_array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeType\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\" mode=\"visibility\" property=\"IsSimulationData\" value=\"1\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          The name of the array to use as the Z coordinate.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy class=\"vtkPrismSelectionRepresentation\"\n"
"                         name=\"PrismSelectionRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         si_class=\"vtkSIProxy\">\n"
"      <Documentation>\n"
"        This is the representation for the selection in the PrismView.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <InputArrayDomain name=\"input_array_any\"/>\n"
"        <InputArrayDomain name=\"scalar_array\"\n"
"                          number_of_components=\"1\"/>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Get/Set the visibility of the representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View\n"
"          and representations cache based on what the view tells it. However in\n"
"          some cases we may want to force a representation to cache irrespective\n"
"          of the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View\n"
"          and representations cache based on what the view tells it. However in\n"
"          some cases we may want to force a representation to cache irrespective\n"
"          of the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetColor\"\n"
"                            default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"Color\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\"/>\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SelectionColor\" unlink_if_modified=\"1\"/>\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetLineWidth\"\n"
"                            default_values=\"2.0\"\n"
"                            name=\"LineWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"1\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPointSize\"\n"
"                            default_values=\"5.0\"\n"
"                            name=\"PointSize\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"0\"\n"
"                           name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetRenderLinesAsTubes\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RenderLinesAsTubes\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When set, all lines are rendered as 3D tubes, if supported by OpenGL driver.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRenderPointsAsSpheres\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RenderPointsAsSpheres\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When set, all points are rendered as 3D spheres, if supported by OpenGL driver.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRepresentation\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Representation\"\n"
"                         panel_widget=\"display_representation_selector\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Points\"\n"
"                 value=\"0\"/>\n"
"          <Entry text=\"Wireframe\"\n"
"                 value=\"1\"/>\n"
"          <Entry text=\"Surface\"\n"
"                 value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseOutline\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseOutline\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetUserTransform\"\n"
"                            default_values=\"1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1\"\n"
"                            name=\"UserTransform\"\n"
"                            number_of_elements=\"16\">\n"
"        <Documentation>\n"
"          In addition to the instance variables such as position and\n"
"          orientation, you can add an additional transformation for your own\n"
"          use. This transformation is concatenated with the actor's internal\n"
"          transformation, which you implicitly create through the use of\n"
"          Position, Origin, Orientation. The value is 4x4 matrix for the linear\n"
"          transform to use.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetLabelRepresentation\">\n"
"        <Proxy name=\"LabelRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"DataLabelRepresentation\"/>\n"
"        <ExposedProperties>\n"
"          <Property name=\"CellFieldDataArrayName\"/>\n"
"          <Property name=\"CellLabelBold\"/>\n"
"          <Property name=\"CellLabelColor\"/>\n"
"          <Property name=\"CellLabelFontFamily\"/>\n"
"          <Property name=\"CellLabelFontFile\"/>\n"
"          <Property name=\"CellLabelFontSize\"/>\n"
"          <Property name=\"CellLabelFormat\"/>\n"
"          <Property name=\"CellLabelItalic\"/>\n"
"          <Property name=\"CellLabelJustification\"/>\n"
"          <Property name=\"CellLabelOpacity\"/>\n"
"          <Property name=\"CellLabelShadow\"/>\n"
"          <Property name=\"CellLabelVisibility\"/>\n"
"          <Property name=\"PointFieldDataArrayName\"/>\n"
"          <Property name=\"PointLabelBold\"/>\n"
"          <Property name=\"PointLabelColor\"/>\n"
"          <Property name=\"PointLabelFontFamily\"/>\n"
"          <Property name=\"PointLabelFontFile\"/>\n"
;

// From file /home/abuild/rpmbuild/BUILD/ParaView-v5.12.1/Plugins/Prism/Views/PrismViews.xml
static const char* const Prism_server_manager_modulesPrismViewsInterface2 =
"          <Property name=\"PointLabelFontSize\"/>\n"
"          <Property name=\"PointLabelFormat\"/>\n"
"          <Property name=\"PointLabelItalic\"/>\n"
"          <Property name=\"PointLabelJustification\"/>\n"
"          <Property name=\"PointLabelOpacity\"/>\n"
"          <Property name=\"PointLabelShadow\"/>\n"
"          <Property name=\"PointLabelVisibility\"/>\n"
"          <Property name=\"MaximumNumberOfLabels\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <PropertyGroup label=\"Cell Label Font\" panel_visibility=\"never\" panel_widget=\"FontEditor\">\n"
"        <Property name=\"CellLabelBold\" function=\"Bold\"/>\n"
"        <Property name=\"CellLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"CellLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"CellLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"CellLabelFontSize\" function=\"Size\"/>\n"
"        <Property name=\"CellLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"CellLabelJustification\" function=\"Justification\"/>\n"
"        <Property name=\"CellLabelOpacity\" function=\"Opacity\"/>\n"
"        <Property name=\"CellLabelShadow\" function=\"Shadow\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Point Label Font\" panel_visibility=\"never\" panel_widget=\"FontEditor\">\n"
"        <Property name=\"PointLabelBold\" function=\"Bold\"/>\n"
"        <Property name=\"PointLabelColor\" function=\"Color\"/>\n"
"        <Property name=\"PointLabelFontFamily\" function=\"Family\"/>\n"
"        <Property name=\"PointLabelFontFile\" function=\"File\"/>\n"
"        <Property name=\"PointLabelFontSize\" function=\"Size\"/>\n"
"        <Property name=\"PointLabelItalic\" function=\"Italics\"/>\n"
"        <Property name=\"PointLabelJustification\" function=\"Justification\"/>\n"
"        <Property name=\"PointLabelOpacity\" function=\"Opacity\"/>\n"
"        <Property name=\"PointLabelShadow\" function=\"Shadow\"/>\n"
"      </PropertyGroup>\n"
"\n"
"      <!--  Prism related properties  -->\n"
"      <IntVectorProperty command=\"SetIsSimulationData\"\n"
"                         default_values=\"0\"\n"
"                         name=\"IsSimulationData\"\n"
"                         number_of_elements=\"1\">\n"
"        <PrismIsSimulationDataDomain name=\"bool\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </PrismIsSimulationDataDomain>\n"
"        <Documentation>\n"
"          When on, the simulation data will be converted to the prism space.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetAttributeType\"\n"
"                         default_values=\"1\"\n"
"                         name=\"AttributeType\"\n"
"                         number_of_elements=\"1\">\n"
"        <FieldDataDomain name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"        <Documentation>\n"
"          Control which AttributeType the filter operates on.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetXArrayName\"\n"
"                            name=\"XArrayName\"\n"
"                            label=\"X Array\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"scalar_array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeType\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          The name of the array to use as the X coordinate.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetYArrayName\"\n"
"                            name=\"YArrayName\"\n"
"                            label=\"Y Array\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"scalar_array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeType\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          The name of the array to use as the Y coordinate.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetZArrayName\"\n"
"                            name=\"ZArrayName\"\n"
"                            label=\"Z Array\"\n"
"                            number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"scalar_array\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"            <Property function=\"FieldDataSelection\"\n"
"                      name=\"AttributeType\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          The name of the array to use as the Z coordinate.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </RepresentationProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"internal_representations\">\n"
"    <!-- ==================================================================== -->\n"
"    <PVRepresentationProxy class=\"vtkPrismCompositeRepresentation\"\n"
"                           name=\"PrismRepresentationBase\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        Prism's default representation for showing any type of dataset in the prism view.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetSelectionConnection\"\n"
"                     name=\"Selection\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkSelection\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the selection.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Set the visibility for this representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View\n"
"          and representations cache based on what the view tells it. However in\n"
"          some cases we may want to force a representation to cache irrespective\n"
"          of the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View\n"
"          and representations cache based on what the view tells it. However in\n"
"          some cases we may want to force a representation to cache irrespective\n"
"          of the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetSelectionVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"SelectionVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Set the visibility for the selection, if any.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <RepresentationType subproxy=\"PrismSurfaceRepresentation\"\n"
"                          subtype=\"Points\"\n"
"                          text=\"Points\"/>\n"
"      <RepresentationType subproxy=\"PrismSurfaceRepresentation\"\n"
"                          subtype=\"Wireframe\"\n"
"                          text=\"Wireframe\"/>\n"
"      <RepresentationType subproxy=\"PrismSurfaceRepresentation\"\n"
"                          subtype=\"Surface\"\n"
"                          text=\"Surface\"/>\n"
"      <RepresentationType subproxy=\"PrismSurfaceRepresentation\"\n"
"                          subtype=\"Surface With Edges\"\n"
"                          text=\"Surface With Edges\"/>\n"
"      <StringVectorProperty command=\"GetRepresentationTypes\"\n"
"                            information_only=\"1\"\n"
"                            name=\"RepresentationTypesInfo\"\n"
"                            si_class=\"vtkSIDataArrayProperty\">\n"
"        <Documentation>\n"
"          Property that lists the available representation types. This is used by the domain for\n"
"          \"Representation\" to setup the list of types available correctly.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetActiveRepresentation\"\n"
"                            default_values=\"Surface\"\n"
"                            name=\"Representation\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\"\n"
"                            panel_widget=\"display_representation_selector\">\n"
"        <Documentation>\n"
"          Choose the type for the representation.\n"
"        </Documentation>\n"
"        <RepresentationTypeDomain name=\"list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"StringList\"\n"
"                      name=\"RepresentationTypesInfo\"/>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </RepresentationTypeDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetCellFieldDataArrayName\"\n"
"                            default_values=\"vtkOriginalCellIds\"\n"
"                            name=\"SelectionCellFieldDataArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <ArrayListDomain input_domain_name=\"input_array_cell\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetPointFieldDataArrayName\"\n"
"                            default_values=\"vtkOriginalPointIds\"\n"
"                            name=\"SelectionPointFieldDataArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <ArrayListDomain input_domain_name=\"input_array_point\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <SubProxy>\n"
"        <Proxy name=\"PrismSurfaceRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"PrismSurfaceRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup panel_visibility=\"default\"\n"
"                         panel_widget=\"ColorEditor\"\n"
"                         label=\"Coloring\">\n"
"            <Property name=\"AmbientColor\"/>\n"
"            <Property name=\"ColorArrayName\"/>\n"
"            <Property name=\"DiffuseColor\"/>\n"
"            <Property name=\"LookupTable\"/>\n"
"            <Property name=\"UseSeparateColorMap\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Scalar Coloring\">\n"
"            <Property name=\"MapScalars\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"MultiComponentsMapping\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"InterpolateScalarsBeforeMapping\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Styling\">\n"
"            <Property name=\"Opacity\"\n"
"                      panel_visibility=\"default\"/>\n"
"            <Property name=\"PointSize\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"points\"/>\n"
"            <Property name=\"LineWidth\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"wireframe\"/>\n"
"            <Property name=\"RenderLinesAsTubes\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"wireframe\"/>\n"
"            <Property name=\"RenderPointsAsSpheres\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"points\"/>\n"
"            <Hints>\n"
"              <!--Hide for volume representation-->\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Volume\"\n"
"                                       inverse=\"1\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Lighting\">\n"
"            <Property name=\"Interpolation\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Specular\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"SpecularColor\"\n"
"                      panel_widget=\"color_selector\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"InteractiveSelectionColor\"\n"
"                      panel_visibility=\"never\"/>\n"
"            <Property name=\"SpecularPower\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Luminosity\"\n"
"                      panel_visibility=\"advanced\"/>\n"
;

// From file /home/abuild/rpmbuild/BUILD/ParaView-v5.12.1/Plugins/Prism/Views/PrismViews.xml
static const char* const Prism_server_manager_modulesPrismViewsInterface3 =
"            <Property name=\"Ambient\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Diffuse\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Roughness\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Metallic\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"EdgeTint\"\n"
"                      panel_widget=\"color_selector\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Anisotropy\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"AnisotropyRotation\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"BaseIOR\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatStrength\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatIOR\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatRoughness\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatColor\"\n"
"                      panel_widget=\"color_selector\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"SelectTCoordArray\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"SelectNormalArray\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"SelectTangentArray\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Texture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"RepeatTextures\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"InterpolateTextures\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"SeamlessU\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"SeamlessV\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"UseMipmapTextures\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"ShowTexturesOnBackface\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"BaseColorTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"NormalTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"NormalScale\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatNormalTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoatNormalScale\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"MaterialTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"OcclusionStrength\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"AnisotropyTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"EmissiveTexture\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"EmissiveFactor\" panel_visibility=\"advanced\"/>\n"
"            <Property name=\"FlipTextures\" panel_visibility=\"advanced\"/>\n"
"            <Hints>\n"
"              <!--Hide for volume representation-->\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Volume\"\n"
"                                       inverse=\"1\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Edge Styling\">\n"
"            <Property name=\"EdgeColor\"\n"
"                      panel_widget=\"color_selector_with_palette\"\n"
"                      panel_visibility=\"advanced\"\n"
"                      panel_visibility_default_for_representation=\"Surface With Edges\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Backface Styling\">\n"
"            <Property name=\"BackfaceRepresentation\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"BackfaceAmbientColor\"\n"
"                      panel_widget=\"color_selector\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"BackfaceDiffuseColor\"\n"
"                      panel_widget=\"color_selector\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"BackfaceOpacity\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Transforming\">\n"
"            <Property name=\"Position\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Scale\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Orientation\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"Origin\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"CoordinateShiftScaleMethod\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Miscellaneous\">\n"
"            <Property name=\"Pickable\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"StaticMode\"\n"
"                      panel_visibility=\"never\"/>\n"
"            <Property name=\"SuppressLOD\"\n"
"                      panel_visibility=\"never\"/>\n"
"            <Property name=\"UserTransform\"\n"
"                      panel_visibility=\"never\"/>\n"
"            <Property name=\"Triangulate\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"UseShaderReplacements\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"ShaderReplacements\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"NonlinearSubdivisionLevel\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"BlockColorsDistinctValues\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"            <Property name=\"UseDataPartitions\"\n"
"                      panel_visibility=\"advanced\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup panel_visibility=\"advanced\"\n"
"                         label=\"Ray Tracing\">\n"
"            <Property name=\"OSPRayUseScaleArray\"/>\n"
"            <Property name=\"OSPRayScaleArray\"/>\n"
"            <Property name=\"OSPRayScaleFunction\"/>\n"
"            <Property name=\"OSPRayMaterial\"/>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Blocks\"\n"
"                         panel_widget=\"DataAssemblyEditor\"\n"
"                         panel_visibility=\"multiblock_inspector\">\n"
"            <Property name=\"Assembly\"       function=\"ActiveAssembly\" />\n"
"            <Property name=\"BlockSelectors\" function=\"Selectors\"/>\n"
"            <Property name=\"BlockColors\"    function=\"Colors\"/>\n"
"            <Property name=\"BlockOpacities\" function=\"Opacities\"/>\n"
"            <Hints>\n"
"              <DataAssemblyPropertyWidget use_inputname_as_header=\"1\" link_active_selection=\"1\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"\n"
"          <PropertyGroup label=\"Prism Parameters\">\n"
"            <Property name=\"IsSimulationData\"/>\n"
"            <Property name=\"AttributeType\"/>\n"
"            <Property name=\"XArrayName\"/>\n"
"            <Property name=\"YArrayName\"/>\n"
"            <Property name=\"ZArrayName\"/>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <SubProxy command=\"SetSelectionRepresentation\">\n"
"        <Proxy name=\"SelectionRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"PrismSelectionRepresentation\"/>\n"
"        <ShareProperties subproxy=\"PrismSurfaceRepresentation\">\n"
"          <Exception name=\"Input\"/>\n"
"          <Exception name=\"Visibility\"/>\n"
"          <Exception name=\"Representation\"/>\n"
"          <Exception name=\"Color\"/>\n"
"          <Exception name=\"LineWidth\"/>\n"
"          <Exception name=\"Opacity\"/>\n"
"          <Exception name=\"PointSize\"/>\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"SelectionColor\" name=\"Color\" panel_visibility=\"never\"/>\n"
"          <Property exposed_name=\"SelectionOpacity\" name=\"Opacity\" panel_visibility=\"never\"/>\n"
"          <Property exposed_name=\"SelectionUseOutline\" name=\"UseOutline\" panel_visibility=\"never\"/>\n"
"          <Property exposed_name=\"SelectionRepresentation\" name=\"Representation\" panel_visibility=\"never\"/>\n"
"          <Property exposed_name=\"SelectionPointSize\" name=\"PointSize\" panel_visibility=\"never\"/>\n"
"          <Property exposed_name=\"SelectionLineWidth\" name=\"LineWidth\" panel_visibility=\"never\"/>\n"
"          <Property exposed_name=\"SelectionCellLabelVisibility\" name=\"CellLabelVisibility\" panel_visibility=\"never\"/>\n"
"          <PropertyGroup label=\"Cell Label Font\" panel_visibility=\"never\" panel_widget=\"FontEditor\">\n"
"            <Property exposed_name=\"SelectionCellLabelBold\" name=\"CellLabelBold\" function=\"Bold\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelColor\" name=\"CellLabelColor\" function=\"Color\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelFontFamily\" name=\"CellLabelFontFamily\" function=\"Family\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelFontFile\" name=\"CellLabelFontFile\" function=\"File\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelFontSize\" name=\"CellLabelFontSize\" function=\"Size\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelItalic\" name=\"CellLabelItalic\" function=\"Italics\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelJustification\" name=\"CellLabelJustification\"\n"
"                      function=\"Justification\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelOpacity\" name=\"CellLabelOpacity\" function=\"Opacity\"/>\n"
"            <Property exposed_name=\"SelectionCellLabelShadow\" name=\"CellLabelShadow\" function=\"Shadow\"/>\n"
"          </PropertyGroup>\n"
"          <Property exposed_name=\"SelectionCellLabelFormat\" name=\"CellLabelFormat\" panel_visibility=\"never\"/>\n"
"          <Property exposed_name=\"SelectionPointLabelVisibility\" name=\"PointLabelVisibility\" panel_visibility=\"never\"/>\n"
"          <Property exposed_name=\"SelectionMaximumNumberOfLabels\" name=\"MaximumNumberOfLabels\"\n"
"                    panel_visibility=\"never\"/>\n"
"          <PropertyGroup label=\"Point Label Font\" panel_visibility=\"never\" panel_widget=\"FontEditor\">\n"
"            <Property exposed_name=\"SelectionPointLabelBold\" name=\"PointLabelBold\" function=\"Bold\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelColor\" name=\"PointLabelColor\" function=\"Color\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelFontFamily\" name=\"PointLabelFontFamily\" function=\"Family\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelFontFile\" name=\"PointLabelFontFile\" function=\"File\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelFontSize\" name=\"PointLabelFontSize\" function=\"Size\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelItalic\" name=\"PointLabelItalic\" function=\"Italics\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelJustification\" name=\"PointLabelJustification\"\n"
"                      function=\"Justification\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelOpacity\" name=\"PointLabelOpacity\" function=\"Opacity\"/>\n"
"            <Property exposed_name=\"SelectionPointLabelShadow\" name=\"PointLabelShadow\" function=\"Shadow\"/>\n"
"          </PropertyGroup>\n"
"          <Property exposed_name=\"SelectionPointLabelFormat\" name=\"PointLabelFormat\" panel_visibility=\"never\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </PVRepresentationProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"representations\">\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                           base_proxyname=\"PrismRepresentationBase\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"PrismGeometryRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        ParaView's default representation for showing any type of dataset in the Prism view.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"          <DataType value=\"vtkGenericDataSet\"/>\n"
"\n"
"          <!-- for MB, we want to match if any of the leaf nodes is of the following type -->\n"
"          <DataType value=\"vtkDataObjectTree\" child_match=\"any\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"            <DataType value=\"vtkGenericDataSet\"/>\n"
"          </DataType>\n"
"\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell\"\n"
"                          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                           base_proxyname=\"PrismRepresentationBase\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"PrismUnstructuredGridRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        This representation is used to show unstructured grid as Surface/Outline/Points/Wireframe.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\"/>\n"
"          <DataType value=\"vtkUnstructuredGridBase\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell\"\n"
"                          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                           base_proxyname=\"PrismRepresentationBase\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"PrismStructuredGridRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        This representation is used to show structured grid as Surface/Outline/Points/Wireframe\n"
;

// From file /home/abuild/rpmbuild/BUILD/ParaView-v5.12.1/Plugins/Prism/Views/PrismViews.xml
static const char* const Prism_server_manager_modulesPrismViewsInterface4 =
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkStructuredGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy base_proxygroup=\"internal_representations\"\n"
"                           base_proxyname=\"PrismRepresentationBase\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           name=\"PrismUniformGridRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        This representation is used to show image data as Surface/Outline/Points/Wireframe.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"          <DataType value=\"vtkRectilinearGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array_cell\"\n"
"                          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <InputArrayDomain attribute_type=\"point\"\n"
"                          name=\"input_array_point\"\n"
"                          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"    </PVRepresentationProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* Prism_server_manager_modulesPrismViewsGetInterfaces()
{

  const size_t len0 = strlen(Prism_server_manager_modulesPrismViewsInterface0);
  const size_t len1 = strlen(Prism_server_manager_modulesPrismViewsInterface1);
  const size_t len2 = strlen(Prism_server_manager_modulesPrismViewsInterface2);
  const size_t len3 = strlen(Prism_server_manager_modulesPrismViewsInterface3);
  const size_t len4 = strlen(Prism_server_manager_modulesPrismViewsInterface4);
  size_t len = ( 0
    + len0
    + len1
    + len2
    + len3
    + len4 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(Prism_server_manager_modulesPrismViewsInterface0, Prism_server_manager_modulesPrismViewsInterface0 + len0, res + offset); offset += len0;
  std::copy(Prism_server_manager_modulesPrismViewsInterface1, Prism_server_manager_modulesPrismViewsInterface1 + len1, res + offset); offset += len1;
  std::copy(Prism_server_manager_modulesPrismViewsInterface2, Prism_server_manager_modulesPrismViewsInterface2 + len2, res + offset); offset += len2;
  std::copy(Prism_server_manager_modulesPrismViewsInterface3, Prism_server_manager_modulesPrismViewsInterface3 + len3, res + offset); offset += len3;
  std::copy(Prism_server_manager_modulesPrismViewsInterface4, Prism_server_manager_modulesPrismViewsInterface4 + len4, res + offset); offset += len4;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
